introspect-funcs.h File Reference
Extensions » Session Manager

`pipewire/extensions/session-manager/introspect-funcs.h` More...

Go to the source code of this file.

## Functions

static struct pw_session_info * | pw_session_info_update (struct pw_session_info *info, const struct pw_session_info *update)
static void | pw_session_info_free (struct pw_session_info *info)
static struct pw_endpoint_info * | pw_endpoint_info_update (struct pw_endpoint_info *info, const struct pw_endpoint_info *update)
static void | pw_endpoint_info_free (struct pw_endpoint_info *info)
static struct pw_endpoint_stream_info * | pw_endpoint_stream_info_update (struct pw_endpoint_stream_info *info, const struct pw_endpoint_stream_info *update)
static void | pw_endpoint_stream_info_free (struct pw_endpoint_stream_info *info)
static struct pw_endpoint_link_info * | pw_endpoint_link_info_update (struct pw_endpoint_link_info *info, const struct pw_endpoint_link_info *update)
static void | pw_endpoint_link_info_free (struct pw_endpoint_link_info *info)

## Detailed Description

`pipewire/extensions/session-manager/introspect-funcs.h`